package com.thinkgem.jeesite.modules.youka.entity;

import com.thinkgem.jeesite.common.persistence.DataEntity;

/**
 * @author niehh
 * @Description: 优卡用户详情
 * @date 2018年03月05日 14:32
 */
public class YoukaUserDetail extends DataEntity<YoukaUserDetail> {
    private String code; // varchar(64) DEFAULT NULL COMMENT '唯一编码',
    private String userCode; // varchar(64) DEFAULT NULL COMMENT '用户code',
    private String realName; // varchar(255) DEFAULT NULL COMMENT '真实姓名',
    private String idCard; // varchar(18) DEFAULT NULL COMMENT '身份证号',
    private String idCardPlace; // varchar(255) DEFAULT NULL COMMENT '身份证地址',
    private String idCardFront; // varchar(500) DEFAULT NULL COMMENT '身份证正面',
    private String idCardBack; // varchar(500) DEFAULT NULL COMMENT '身份证反面',
    private String idCardHold; // varchar(500) DEFAULT NULL COMMENT '手持身份证',
    private String debitCard; // varchar(500) DEFAULT NULL COMMENT '结算卡正面',


    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getUserCode() {
        return userCode;
    }

    public void setUserCode(String userCode) {
        this.userCode = userCode;
    }

    public String getRealName() {
        return realName;
    }

    public void setRealName(String realName) {
        this.realName = realName;
    }

    public String getIdCard() {
        return idCard;
    }

    public void setIdCard(String idCard) {
        this.idCard = idCard;
    }

    public String getIdCardPlace() {
        return idCardPlace;
    }

    public void setIdCardPlace(String idCardPlace) {
        this.idCardPlace = idCardPlace;
    }

    public String getIdCardFront() {
        return idCardFront;
    }

    public void setIdCardFront(String idCardFront) {
        this.idCardFront = idCardFront;
    }

    public String getIdCardBack() {
        return idCardBack;
    }

    public void setIdCardBack(String idCardBack) {
        this.idCardBack = idCardBack;
    }

    public String getIdCardHold() {
        return idCardHold;
    }

    public void setIdCardHold(String idCardHold) {
        this.idCardHold = idCardHold;
    }

    public String getDebitCard() {
        return debitCard;
    }

    public void setDebitCard(String debitCard) {
        this.debitCard = debitCard;
    }
}
